using APT.Infrastructure.Core; 

using System;
using System.Collections.Generic; 
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    [Description("单位表")]
    /// <summary>
    /// 单位
    /// </summary>
   [IgnoreT4]public class T_FM_UNIT : MesEntityBase
	{
		/// <summary>编号</summary>
		//[CUnique]
		[Description("编号")]
		public string CODE { get; set; }

		/// <summary>名称</summary>
		[Description("名称")]
        [AcronymField("NAME_ACRONYM")]
        public string NAME { get; set; }


        /// <summary>
        /// 名称首字母缩写
        /// </summary>
        [Description("名称首字母缩写")]
        public string NAME_ACRONYM { get; set; }
        /// <summary>精度：小数位数</summary>
        [Description("精度：小数位数")]
        public int POINT_LEN { get; set; }


        [EnumName("FMRoundTypeEnum")]
        [Description("小数进位方式")]
        public int ROUND_TYPE { get; set; }

        /// <summary>备注</summary>
        [Description("备注")]
		public string REMARK { get; set; }

	}
}
